/*
 *   This file was automatically generated by version 1.7 of cextract.
 *   Manual editing not recommended.

 */
#ifndef __CEXTRACT__
extern int g3d_traj_get_NB_KEY_FRAME ( void );
extern void g3d_traj_set_NB_KEY_FRAME ( int param );
extern void g3d_draw_trace ( int opengl_context );
extern void g3d_show_search ( void );
extern int g3d_show_tcur_rob ( p3d_rob *robotPt, int (*fct)(p3d_rob* robot, p3d_localpath* curLp) );
extern void g3d_draw_tcur ( p3d_rob *robotPt, int NumBody, int NbKeyFrames );
extern void g3d_draw_t(p3d_rob *robotPt, p3d_traj *tcur ,int indexjnt, int NbKeyFrames);
extern void g3d_draw_all_tcur ( void );
extern void g3d_draw_trace_all_tcur(void);
extern void g3d_draw_tmod(p3d_rob *robotPt,int indexjnt, int NbKeyFrames);

extern void (*ext_compute_config_cost_along_traj)(p3d_rob* r,configPt q);
extern void (*ext_g3d_traj_debug)();
#endif /* __CEXTRACT__ */
